Bug 1224562 - Error publishing on Facebook
Summary: Error publishing on Facebook
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 22
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-24 17:32 UTC by Luya Tshimbalanga
Modified: 2016-06-03 21:54 UTC (History)
8 users (show)

Fixed In Version: shotwell-0.23.1-1.fc24 shotwell-0.23.1-1.fc22 shotwell-0.23.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-26 17:32:26 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 748991 None None None Never
Launchpad 1453549 None None None Never

Description Luya Tshimbalanga 2015-05-24 17:32:41 UTC
Description of problem:
Attempting to publish pictures on Facebook failed when creating a new album. Also user will be unable to reuse the existing album as the option is gray out.

Version-Release number of selected component (if applicable):
0.22.0

How reproducible:
Always

Steps to Reproduce:
1. Select photos to publish
2. Login on Facebook account
3. Try to publish

Actual results:
Unable to publish photos on Facebook.
In addition, existing album selections are disabled.

Expected results:
Selected pictures arre published.

Additional info:
The issue appears to be upstream problem due to Facebook changing way to authenticate.
See https://bug748991.bugzilla-attachments.gnome.org/attachment.cgi?id=303861

Comment 1 Luya Tshimbalanga 2015-05-24 17:35:02 UTC
All distributions using version 0.22.0 are affected. I attached a Launchpad report for tracking.

Comment 2 Luya Tshimbalanga 2015-05-24 17:41:18 UTC
Checking Facebook App Center setting confirmed the problem with the following message:

Misconfigured App
Sorry, Shotwell Connect hasn't been approved for display in App Center.

Upstream will need approval from Facebook to allow users publishing their photos.

Comment 3 Kevin McBride 2015-10-16 04:20:21 UTC
There have been some security issues found, most notably when the TLS certificates were not being validated when publishing to Facebook.  I set up a dependency tree for the bug in the GNOME bugzilla so that it will be easy for a developer to fix the source code.  In the meantime, I suggest disabling the Facebook plugin as suggested in the GNOME bugzilla.

Comment 4 Kevin McBride 2016-04-28 22:05:36 UTC
According to the GNOME bugzilla report, the bug was recently set to fixed.  The fix has not been put in a release of shotwell, but has been pushed into the GNOME github.

Comment 5 Fedora Update System 2016-05-24 17:23:54 UTC
shotwell-0.23.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d084a9a06

Comment 6 Fedora Update System 2016-05-24 17:24:04 UTC
shotwell-0.23.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d9d42403e1

Comment 7 Fedora Update System 2016-05-26 04:53:50 UTC
shotwell-0.23.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d9d42403e1

Comment 8 Fedora Update System 2016-05-26 05:01:37 UTC
shotwell-0.23.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-228441e7fe

Comment 9 Fedora Update System 2016-05-26 05:02:43 UTC
shotwell-0.23.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d084a9a06

Comment 10 Kevin McBride 2016-05-26 16:37:55 UTC
When I publish on Facebook with public sharing, the picture gets uploaded, but is marked as "Only Me" sharing.  One workaround for now is to change the privacy settings of uploaded albums manually on Facebook.

This has been reported on the GNOME Bugzilla as a separate bug report.  The testing was done on FC 23.

https://bugzilla.gnome.org/show_bug.cgi?id=766919

Comment 11 Fedora Update System 2016-05-26 17:32:21 UTC
shotwell-0.23.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Kevin McBride 2016-05-26 19:20:23 UTC
I am not sure what happened, but it works fine now.  To make sure there were no bugs, I had shotwell forget my Facebook credentials and I also removed its privileges to make sure the reported issue is not an issue.  Looks like a misconfiguration by me occured while publishing the image.

Comment 13 Fedora Update System 2016-06-03 15:22:40 UTC
shotwell-0.23.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-06-03 21:54:05 UTC
shotwell-0.23.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.